<template>
  <v-btn
    :icon="icon"
    :rounded="rounded"
    :variant="variant"
    :color="color"
    :disabled="disabled"
  />
</template>

<script setup>
defineProps({
  variant: {
    type: String,
    default: 'elevated',
  },
  icon: {
    type: String,
    default: '$vuetify',
  },
  color: {
    type: String,
    default: 'primary',
  },
  rounded: {
    type: String,
    default: 'circle',
  },
  disabled: {
    type: Boolean,
    default: false,
  },
  toggle: {
    type: Boolean,
    default: false,
  },
})
</script>